Create conversation
curl --request POST \
--url https://sitegpt.ai/api/v2/chatbots/{chatbotId}/conversations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Pricing question",
"chatUser": {
"email": "customer@example.com",
"name": "Customer"
}
}
'import requests
url = "https://sitegpt.ai/api/v2/chatbots/{chatbotId}/conversations"
payload = {
"title": "Pricing question",
"chatUser": {
"email": "customer@example.com",
"name": "Customer"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Pricing question',
chatUser: {email: 'customer@example.com', name: 'Customer'}
})
};
fetch('https://sitegpt.ai/api/v2/chatbots/{chatbotId}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"conversation": {
"id": "conversation-id",
"name": "Example conversation",
"createdAt": "2026-05-13T00:00:00.000Z"
}
},
"meta": {
"requestId": "request-id"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}Conversations
Create conversation
Create a chatbot conversation.
Required scope: conversations:write.
POST
/
api
/
v2
/
chatbots
/
{chatbotId}
/
conversations
Create conversation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Was this page helpful?
⌘I